/*
 * SaveXyzAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef SAVEXYZACTION_HPP_
#define SAVEXYZACTION_HPP_

#include "Actions/Action.hpp"
#include "Actions/Process.hpp"

void ParserSaveXyz(std::string &filename);

class ParserSaveXyzAction : public Action {
  friend void ParserSaveXyz(std::string &filename);

public:
  ParserSaveXyzAction();
  virtual ~ParserSaveXyzAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* SAVEXYZACTION_HPP_ */
